Skip to main content
GET
/
youtubeBasic
cURL
curl --request GET \
  --url 'https://dev.creatordb.app/v2/youtubeBasic?youtubeId=UCm-X6o81nRsXQTmqpyArkBQ' \
  --header 'Accept: application/json' \
  --header 'apiId: LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W'
{
  "data": {
    "basicYoutube": {
      "youtubeId": "UCm-X6o81nRsXQTmqpyArkBQ",
      "youtubeName": "Flamingo",
      "displayId": "@flamingo",
      "instagramId": "albertsstuff",
      "tiktokId": "",
      "avatar": "https://yt3.googleusercontent.com/7cF22TRiceqQr2Cro_X4uhRVnwCdOa2HXiwdBGPnUEqJDuCyr2CykDfDw2rCWjbjaHEdTMUC=s900-c-k-c0x00ffffff-no-rj",
      "hasEmail": true,
      "subscribers": 13900000,
      "views": 12002736149,
      "country": "USA",
      "lang": "eng",
      "createDate": 1499184000000,
      "lastUploadTime": 1755142212000,
      "links": [
        {
          "title": "Instagram",
          "url": "https://www.instagram.com/albertsstuff/"
        },
        {
          "title": "The Shop",
          "url": "http://flimflam.shop/"
        },
        {
          "title": "Business email",
          "url": "flamingo@ellify.com"
        }
      ],
      "hashtags": [
        "#starrailsimulator",
        "#honkaistarrail",
        "#sponsored"
      ],
      "mainCategory": "Gaming",
      "topicIds": [
        "id_freegames_Gaming",
        "id_rpg_Gaming",
        "id_roblox_Gaming"
      ],
      "nicheIds": [
        "id_roblox_Gaming",
        "id_funny_Gaming",
        "id_poppyplaytime_Gaming"
      ],
      "avgLength1Y": 612,
      "avgLikes1Y": 80970,
      "avgComments1Y": 6611,
      "avgSelfCommentRatio1Y": 0.02129629629629627,
      "avgCommentLikeRatio1Y": 0.0012345679012345679,
      "avgCommentReplyRatio1Y": 0.0021604938271604936,
      "avgViews1Y": 2332262,
      "engageRate1Y": 0.03755141478648009,
      "avgLengthR20": 801.5,
      "avgLikesR20": 79945,
      "avgCommentsR20": 7517,
      "avgSelfCommentRatioR20": 0.02222222222222222,
      "avgCommentLikeRatioR20": 0,
      "avgCommentReplyRatioR20": 0.005555555555555556,
      "avgViewsR20": 2297082,
      "engageRateR20": 0.038074757313463874,
      "gRateSubscribers": 0.022058823529411766,
      "gRateViews": 0.008608394749283115,
      "gRateAvgViewsR20": 0.5715348397137289,
      "gRateEngageRateR20": -0.24690527845279533,
      "recentVideos": [
        {
          "uploadDate": 1755142212000,
          "videoId": "FbCF_H4ZD64",
          "length": 873,
          "title": "I hosted an ADMIN ABUSE on GROW A GARDEN",
          "likes": 153000,
          "comments": 15182,
          "selfCommentRatio": 0,
          "commentLikeRatio": 0,
          "commentReplyRatio": 0,
          "views": 5009695,
          "engageRate": 0.03357130523914131,
          "category": "Gaming",
          "lang": "eng",
          "isPaidPromote": false,
          "isStreaming": false,
          "isShorts": false,
          "hashtags": []
        },
        {
          "uploadDate": 1754966320000,
          "videoId": "rqKF4lzzMT0",
          "length": 551,
          "title": "Roblox won’t stop BANNING me.",
          "likes": 89000,
          "comments": 9190,
          "selfCommentRatio": 0.05,
          "commentLikeRatio": 0,
          "commentReplyRatio": 0,
          "views": 1898329,
          "engageRate": 0.05172443765016496,
          "category": "Gaming",
          "lang": "jav",
          "isPaidPromote": false,
          "isStreaming": false,
          "isShorts": false,
          "hashtags": []
        },
        {
          "uploadDate": 1754797869000,
          "videoId": "eHnzGYHEdO0",
          "length": 572,
          "title": "ROBLOX OP ADMIN IN STEAL A BRAINROT",
          "likes": 66000,
          "comments": 8527,
          "selfCommentRatio": 0.05,
          "commentLikeRatio": 0,
          "commentReplyRatio": 0,
          "views": 2034093,
          "engageRate": 0.03663893440467078,
          "category": "Gaming",
          "lang": "nld",
          "isPaidPromote": false,
          "isStreaming": false,
          "isShorts": false,
          "hashtags": []
        }
      ]
    }
  },
  "quotaUsed": 2,
  "quotaUsedTotal": 6026,
  "remainingPlanCredit": 993974,
  "remainingPrepurchasedCredit": 0,
  "timestamp": 1755503515183,
  "error": "",
  "success": true
}

Headers

apiId
string
required
Example:

"LE6DPZQkR3TQShxofXoD2j8qCBu1-f0jti665m1t50dwDD12W"

Query Parameters

youtubeId
string
required
Example:

"UCm-X6o81nRsXQTmqpyArkBQ"

Response

OK

data
object
quotaUsed
number

API credits that were used to make this call.

quotaUsedTotal
number

Total API credits used since the last billing cycle.

remainingPlanCredit
number

The number of remaining free API credits that come with your subscription plan. These API credits are renewed every billing cycle.

remainingPrepurchasedCredit
number

The number of remaining extra purchased API credits. These API credits do not expire until used.

timestamp
number

Unix timestamp of the call request that the server received.

error
string

Errors that occurred during the API call.

success
boolean

It is TRUE when the call is successful.

Last modified on February 25, 2026